//
//  CCEnumFile.swift
//  SwiftProject
//
//  Created by Zhang, Joyce on 2024/2/24.
//

import Foundation

enum CCFileType : Int
{
    case CCFileType_Photo_Spatial = 1
    case CCFileType_Photo_Pending = 2//待定格式
    case CCFileType_MV_HEVC = 3//
    case CCFileType_MV_Pending = 4//待定格式
}

enum CCShootingMode : Int
{
    case CCShootingMode_Camera = 1 //拍照模式
    case CCShootingMode_Video = 2//录像模式
 
}


enum CCTransformParameterType : Int
{
    /*
                3D 格式 3D HSBS
                分辨率 1080P
                比特率 最佳
                视频编码格式 H.265
                水平视差调整 0
     */
    case format3D = 1 //3D 格式
    case resolution = 2//分辨率
    case bitRate = 3 //比特率
    case formatVideoEncoding = 4//视频编码格式
    case horizontalDialogueAdjustment = 5//水平视差调整
    case hsbs_3D = 6 //hsbs格式 半宽左右格式
    case fsbs_3D = 7 //fsbs格式 全宽左右格式
    case hou_3d = 8 //hou格式 半高上下格式
    case fou_3D = 9 //fou格式 全高上下格式
}
